<?php function glatitudehistory_settings() { ?>

	<script type="text/javascript">

		var $j = jQuery.noConflict();

		$j(document).ready(function() {

			$j('#use_google_api_key').trigger('change');
		});
		
		$j(function(){
			$j('#replace_css').click(function() {
				$j('#custom_css').val("<?php echo GoogleLatitudeHistory::DEFAULT_CSS; ?>");
				alert("Custom CSS has been replaced with the Default CSS");
			});

			$j('#toggle_response').click(function() {
				if( $j('#json_response').css('display') == 'none') {
					$j('#toggle_response').text('hide latitude response');
					$j('#json_response').show();
				} else {
					$j('#toggle_response').text('see latitude response');
					$j('#json_response').hide();
				}
			});

			$j('#use_google_api_key').change(function() {
				if( $j('#use_google_api_key').attr('checked') ) {
					console.log("enable");
					$j('#google_api_key').removeAttr('readonly');
				} else {
					console.log("dis-enable");
					$j('#google_api_key').attr('readonly', true);
				}
			});
		});
	
	</script>

	<form name="latitude_settings" method="post">

		<p>
			<input type="submit" name="submit" value="Sync Location History" />
		</p>
		<br/>
		<?php // not using http://domain.com in callback b/c it will cause the link to go to a 404 page ?>
		<a href="<?php echo WP_PLUGIN_URL; ?>/google-latitude-history/redirect.php?callback=%2Fwp-admin%2Foptions-general.php">Refresh OAuth Token</a>
		
		<br/><br/><br/>
		
		<table>
			<tr>
				<td><span style="color:red;">*</span> <label for="oauth_consumer_key">OAuth Consumer Key:</label> </td>
				<td>
					<input type="text" name="oauth_consumer_key" id="oauth_consumer_key" class="regular-text" value="<?php echo get_option('glatitudehistory_oauth_consumer_key'); ?>" />
				</td>
			</tr>
			<tr>
				<td><span style="color:red;">*</span> <label for="oauth_consumer_secret">OAuth Consumer Secret:</label> </td>
				<td>
					<input type="text" name="oauth_consumer_secret" id="oauth_consumer_secret" class="regular-text" value="<?php echo get_option('glatitudehistory_oauth_consumer_secret'); ?>" />
				</td>
			</tr>
			<tr>
				<td><span style="color:red;">*</span> <label for="granularity">Granularity:</label> </td>
				<td>
					<select name="granularity" id="granularity" style="width:6em;">
						<option value="city" <?php if(get_option('glatitudehistory_granularity') == 'city') { echo 'selected="selected"'; } ?> >city</option>
						<option value="best" <?php if(get_option('glatitudehistory_granularity') == 'best') { echo 'selected="selected"'; } ?> >best</option>
					</select>
				</td>
			</tr>
			<tr>
				<td><label for="min_time">&nbsp;&nbsp;Minimum Time:</label> </td>
				<td>
					<input type="text" name="min_time" id="min_time" class="datepicker regular-text" value="<?php echo get_option('glatitudehistory_min_time'); ?>" style="width:120px;">
				</td>
			</tr>
			<tr>
				<td><label for="max_time">&nbsp;&nbsp;Maximum Time:</label> </td>
				<td>
					<input type="text" name="max_time" id="max_time" class="datepicker regular-text" value="<?php echo get_option('glatitudehistory_max_time'); ?>" style="width:120px;">
				</td>
			</tr>
			<tr>
				<td><span style="color:red;">*</span> <label for="max_locations">Maximum Number of Points:</label> </td>
				<td>
					<input type="text" name="max_locations" id="max_locations" class="regular-text" value="<?php echo get_option('glatitudehistory_max_locations'); ?>" maxlength="2" style="width:4em;" />
				</td>
			</tr>
			<tr>
				<td><label for="custom_css">Custom CSS for Map Div:</label></td>
				<td>
					<textarea name="custom_css" id="custom_css" class="regular-text" style="width:300px;height:120px;"><?php echo get_option('glatitudehistory_custom_css'); ?></textarea>
					<br/>
					<a href="#" id="replace_css" onclick="return false;">replace with default css</a>
				</td>
			</tr>
			<tr>
				<td>&nbsp;&nbsp;<label for="google_api_key">Google API Key:</label> </td>
				<td>
					<input type="text" name="google_api_key" id="google_api_key" class="regular-text" value="<?php echo get_option('glatitudehistory_google_api_key'); ?>" <?php if(get_option('glatitudehistory_use_google_api_key') != 'true') { echo 'readonly="readonly"'; } ?>/>
				</td>
			</tr>
			<tr>
				<td>&nbsp;&nbsp;<label for="use_google_api_key">Use Google API Key:</label> </td>
				<td>
					<div style="float:left;"><input type="checkbox" name="use_google_api_key" id="use_google_api_key" value="true" <?php if(get_option('glatitudehistory_use_google_api_key') == 'true') { echo 'checked="checked"'; } ?> /></div>
					<div style="float:right;"><a href="https://code.google.com/apis/console" target="_blank">get google api key</a></div>
				</td>
			</tr>
			<tr>
				<td>&nbsp;&nbsp;<label for="google_api_ssl">Google Maps over SSL:</label> </td>
				<td>
					<input type="checkbox" name="google_api_ssl" id="google_api_ssl" value="true" <?php if(get_option('glatitudehistory_google_api_ssl') == 'true') { echo 'checked="checked"'; } ?> />
				</td>
			</tr>								
		</table>	
			
		<p>
			<input type="submit" name="submit" value="Update Options" />
		</p>
		<span style="color:red;">*</span> required settings
		<br/>
		<p style="font-weight:bold;">ShortCode Options for [glatitude-map /]</p>
		<ul style="list-style-type:circle;padding-left:20px;">
			<li>height = height of the map in pixels</li>
			<li>width = width of the map in pixels</li>
			<li>max = maximum number of tweetss to display on the map</li>
			<li>maptype = Google map type ( HYBRID, ROADMAP, SATELLITE, TERRAIN )</li>
			<li>mapcontrol = show map type control ( true / false )</li>
			<li>controlstyle = map control style ( DEFAULT, DROPDOWN_MENU, HORIZONTAL_BAR )</li>
			<li>zoomcontrol = show zoom controls ( true / false )</li>
			<li>zoomstyle = zoom control style ( DEFAULT, SMALL, LARGE )</li>
			<li>pancontrol = show pan control ( true / false )</li>
			<li>streetcontrol = show street view control ( true / false )</li>
			<li>haveoverview = include overview map button ( true / false )</li>
			<li>openoverview = open overview map ( true / false )</li>
			<li>disabledefaultui = disable default UI ( true / false )</li>
			<li>showpath = show path between the tweets ( true / false )</li>
			<li>pathcolor = color of the path ( HTML color codes )</li>
			<li>pathweight = weight of the path in pixels</li>
			<li>pathopacity = opacity of the path ( 0.0 - 1.0 )</li>
			<li>currentcolor = color of the marker for the latest location ( HTML color codes )</li>
			<li>pastcolor = color of the marker for past locations ( HTML color codes )</li>
			<li>openwindow = open current location's info window on load ( true / false )</li>
			<li>disablewindow = disable the markers' info window ( true / false )</li>
			<li>mintime = location timestamps must be greater then or equal to this time in mm/dd/YYYY or mm/dd/YYYY hh:ss format</li>
			<li>maxtime = location timestamps must be less then or equal to this time in mm/dd/YYYY or mm/dd/YYYY hh:ss format</li>
			<li>style = add css style to the map div, it will override the custom css in the plugin settings</li>
		</ul>
	</form>

<?php } ?>